petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoIsObjectiveAndGradientDefined

Checks to see if the user has declared a joint objective/gradient routine. Useful for determining when it is appropriate to call TaoComputeObjective() or TaoComputeObjectiveAndGradient()

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoIsObjectiveAndGradientDefined(Tao tao, PetscBool *flg)

Not Collective

### Input Parameter

| tao | - the Tao context
| ctx | - PETSC_TRUE if objective/gradient routine is set by user, PETSC_FALSE otherwise

### See Also

TaoSetObjectiveAndGradientRoutine(), TaoIsObjectiveDefined(), TaoIsGradientDefined()

### Level

developer

### Location

src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages